---
layout: post
title: DV Cables
---

# FireWire Connection
In order to connect your DV deck to your computer for data transfer (capturing DV videotape formats), you will need to establish a FireWire connection between the two. To determine which cable you need, you will need to identify the DV output (typically located on the back of the deck) and the data compatible FireWire or Thunderbolt input on your computer. Adapters may be needed as well depending on the model/generation of DV deck and computer you are using. This can get complicated as several generations of both FireWire and Thunderbolt exist! The guide below shows all views, ports and symbols of each connection type to aid in determining and acquiring the correct cable(s) for the specific setup you intend to use. 


<a href="{{ site.baseurl }}/images/Cable_Input_Guide.png">"<img alt="MiniDV" src="{{ site.baseurl }}/images/Cable_Input_Guide.png"></a>

# Display vs. Data Transfer
For both Thunderbolt 2 and Thunderbolt 3, you need to ensure that the port and cable you are using both have the Thunderbolt symbol (vs. a display symbol) to ensure they are capable of transferring data from the DV deck to your computer. Otherwise, the deck will not show up in vrecord or DVRescue.

If you have two ports that look like Thunderbolt ports on your computer, use the one closest to the front. On some generations of Macs the other port is actually a MiniDisplay port for video output. They look the same but use different cables. DVRescue and vecord won’t recognize the player if it’s connected to the wrong port.

<a href="{{ site.baseurl }}/images/Display-vs-Data.png">"<img alt="MiniDV" src="{{ site.baseurl }}/images/Display-vs-Data.png"></a>

